Bug 1534587 - [RFE] Ability to Partition NICs at OpenStack installation time, by using SR-IOV on the host
Summary: [RFE] Ability to Partition NICs at OpenStack installation time, by using SR-I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 14.0 (Rocky)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: RHOS Maint
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks: 1467591
TreeView+ depends on / blocked
 
Reported: 2018-01-15 14:13 UTC by Franck Baudin
Modified: 2019-10-22 14:21 UTC (History)
13 users (show)

Fixed In Version: os-net-config-10.4.1-0.20190614150411.bc905bd.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:15:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 527571 0 'None' MERGED Add network objects sriov_vf and sriov_pf 2020-10-01 11:12:17 UTC
OpenStack gerrit 541620 0 'None' MERGED Adding VLAN support and other configs for sriov_vf 2020-10-01 11:12:10 UTC
OpenStack gerrit 548150 0 'None' MERGED Provided the absolute path of sriov_config service 2020-10-01 11:12:17 UTC
OpenStack gerrit 582509 0 'None' MERGED Add sriov_vf type as member of ovs_dpdk_port 2020-10-01 11:12:16 UTC
OpenStack gerrit 582729 0 'None' MERGED Add default VF configs for ovs and ovs_user bridges 2020-10-01 11:12:09 UTC
OpenStack gerrit 615488 0 'None' MERGED Sample templates for linux_bond, ovs_bond, dpdkbond using VFs 2020-10-01 11:12:10 UTC
OpenStack gerrit 617938 0 'None' MERGED Add bootparams service for all roles 2020-10-01 11:12:17 UTC
OpenStack gerrit 623147 0 'None' MERGED NIC Partitioning works with NM enabled 2020-10-01 11:12:10 UTC
OpenStack gerrit 623430 0 'None' MERGED NIC-Partitioning: DPDK devices comes up properly after reboot 2020-10-01 11:12:09 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:15:50 UTC

Description Franck Baudin 2018-01-15 14:13:26 UTC
Description of problem: In next private comment, as it includes internal LINKs. Public references (BP) to be added as well.

Comment 5 Sanjay Upadhyay 2018-09-27 18:09:27 UTC
NIC partitioning has a lot of possibilities in use case, most probably Product needs to come up with what we are going to test. QA will need to come up with templates based on this.

Comment 15 errata-xmlrpc 2019-09-21 11:15:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.